Debian Bug report logs - #634955
libkvm-dev: include <bsd/nlist.h> instead <nlist.h>

version graph

Package: libbsd-dev; Maintainer for libbsd-dev is Guillem Jover <guillem@debian.org>; Source for libbsd-dev is src:libbsd.

Reported by: Hector Oron <hector.oron@gmail.com>

Date: Thu, 21 Jul 2011 09:24:35 UTC

Severity: important

Fixed in version libbsd/0.4.0-1

Done: Guillem Jover <guillem@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, libbsd-dev@packages.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#634955; Package libkvm-dev. (Thu, 21 Jul 2011 09:24:38 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
New Bug report received and forwarded. Copy sent to libbsd-dev@packages.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Thu, 21 Jul 2011 09:24:48 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libkvm-dev: include <bsd/nlist.h> instead <nlist.h>
Date: Thu, 21 Jul 2011 10:22:46 +0100
Package: libkvm-dev
Version: 8.2+ds1-3
Severity: important

Hello,

  While building gdb/experimental on kfreebsd architectures I get:

In file included from /usr/include/kvm.h:38:0,
                 from /build/buildd-gdb_7.3.50~cvs20110627-2-kfreebsd-i386-YFKJaT/gdb-7.3.50~cvs20110627/gdb/bsd-kvm.c:33:
/usr/include/nlist.h:33:2: error: #warning "Deprecated header, use <bsd/nlist.h> or libbsd-overlay.pc instead." [-Werror=cpp]
cc1: all warnings being treated as errors


  At gdb:gdb/bsd-kvm.c:33 I find:
[...]
#include <kvm.h>
#ifdef HAVE_NLIST_H
#include <bsd/nlist.h>
#endif
[...]

  And at /usr/include/kvm.h:
[...]
#ifndef _KVM_H_
#define _KVM_H_

#include <sys/cdefs.h>
#include <sys/_types.h>
#include <nlist.h>
[...]

  #include <nlist.h> seems to trigger the error from libbsd-dev header
(/usr/include/nlist.h)

  Someone more knowledgeable on BSD might know best where headers are broken,
and which is proper place to fix it.

  Feel free to reassing the package to other package if the bug report does not
belong to this package.

Cheers,
  -- Hector Oron

-- System Information:
Debian Release: wheezy/sid
  APT prefers stable
  APT policy: (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.39-2-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#634955; Package libkvm-dev. (Thu, 21 Jul 2011 11:33:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@mirbsd.de>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Thu, 21 Jul 2011 11:33:30 GMT) Full text and rfc822 format available.

Message #10 received at 634955@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: 634955@bugs.debian.org
Subject: Re: Bug#634955: libkvm-dev: include <bsd/nlist.h> instead <nlist.h>
Date: Thu, 21 Jul 2011 11:21:30 +0000 (UTC)
Hector Oron dixit:

>  Someone more knowledgeable on BSD might know best where headers are broken,

/usr/include/nlist.h is correct.

>and which is proper place to fix it.

libbsd broke and should be fixed.

bye,
//mirabilos
-- 
08:05⎜<XTaran:#grml> mika: Does grml have an tool to read Apple
     ⎜    System Log (asl) files? :)
08:08⎜<ft:#grml> yeah. /bin/rm. ;)       08:09⎜<mrud:#grml> hexdump -C
08:31⎜<XTaran:#grml> ft, mrud: *g*




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#634955; Package libkvm-dev. (Thu, 21 Jul 2011 17:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Thu, 21 Jul 2011 17:15:06 GMT) Full text and rfc822 format available.

Message #15 received at 634955@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Thorsten Glaser <tg@mirbsd.de>, 634955@bugs.debian.org, debian-bsd <debian-bsd@lists.debian.org>
Subject: Re: Bug#634955: libkvm-dev: include <bsd/nlist.h> instead <nlist.h>
Date: Thu, 21 Jul 2011 19:11:28 +0200
reassign 634955 libbsd-dev
thanks

2011/7/21 Thorsten Glaser <tg@mirbsd.de>:
> Hector Oron dixit:
>
>>  Someone more knowledgeable on BSD might know best where headers are broken,
>
> /usr/include/nlist.h is correct.
>
>>and which is proper place to fix it.
>
> libbsd broke and should be fixed.

I agree with Thorsten.  I understand why libbsd does this, but the
obligation to either add a lot more divergence from FreeBSD-originated
headers or require overlay mode for every application that uses them
is  a gratuitous pain that should be avoided IMHO.

I'm tentatively reassigning this to libbsd-dev.  Guillem, please let
us know if you disagree.

-- 
Robert Millan




Bug reassigned from package 'libkvm-dev' to 'libbsd-dev'. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Thu, 21 Jul 2011 17:15:08 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions freebsd-libs/8.2+ds1-3. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Thu, 21 Jul 2011 17:15:08 GMT) Full text and rfc822 format available.

Reply sent to Hector Oron <zumbi@debian.org>:
You have taken responsibility. (Sun, 28 Aug 2011 22:06:18 GMT) Full text and rfc822 format available.

Notification sent to Hector Oron <hector.oron@gmail.com>:
Bug acknowledged by developer. (Sun, 28 Aug 2011 22:06:18 GMT) Full text and rfc822 format available.

Message #24 received at 634955-done@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: 634955-done@bugs.debian.org
Subject: libkvm-dev: include <bsd/nlist.h> instead <nlist.h>
Date: Mon, 29 Aug 2011 00:04:43 +0200
Hello,

  Closing the bug report as the it looks like it has been fixed, at
least gdb now builds for BSD ports.

Kind regards,
  -- Héctor Orón




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 26 Sep 2011 07:33:08 GMT) Full text and rfc822 format available.

Added indication that bug 634955 blocks 664429 Request was from Tobias Frost <tobi@coldtobi.de> to control@bugs.debian.org. (Sun, 18 Mar 2012 16:03:07 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Tobias Frost <tobi@coldtobi.de> to control@bugs.debian.org. (Mon, 19 Mar 2012 14:21:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNU/kFreeBSD <debian-bsd@lists.debian.org>:
Bug#634955; Package libbsd-dev. (Mon, 19 Mar 2012 14:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tobias Frost <tobi@frost.de>:
Extra info received and forwarded to list. Copy sent to Debian GNU/kFreeBSD <debian-bsd@lists.debian.org>. (Mon, 19 Mar 2012 14:36:07 GMT) Full text and rfc822 format available.

Message #35 received at 634955@bugs.debian.org (full text, mbox):

From: Tobias Frost <tobi@frost.de>
To: Debian Bug Tracking System <634955@bugs.debian.org>
Subject: Re: libkvm-dev: include <bsd/nlist.h> instead <nlist.h>
Date: Mon, 19 Mar 2012 15:33:23 +0100
Package: libbsd-dev
Followup-For: Bug #634955
        
Dear Maintainer,
        
I reopen this bug because it seems to be still there, at least there is
a FTBFS in collectd with the same symptoms. (See #664429 for details)
        
Best regards,
Tobias Frost
        
        
-- System Information:
Debian Release: wheezy/sid
APT prefers unstable
APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1,
'experimental')
Architecture: i386 (i686)
        
Kernel: Linux 3.1.4 (SMP w/3 CPU cores)
Locale: LANG=de_DE.utf8, LC_CTYPE=de_DE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
        
Versions of packages libbsd-dev depends on:
ii  libbsd0  0.3.0-2
        
libbsd-dev recommends no packages.
        
libbsd-dev suggests no packages.
        
-- no debconf information






Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNU/kFreeBSD <debian-bsd@lists.debian.org>:
Bug#634955; Package libbsd-dev. (Mon, 19 Mar 2012 18:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNU/kFreeBSD <debian-bsd@lists.debian.org>. (Mon, 19 Mar 2012 18:12:06 GMT) Full text and rfc822 format available.

Message #40 received at 634955@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Tobias Frost <tobi@frost.de>, 634955@bugs.debian.org
Subject: Re: Bug#634955: libkvm-dev: include <bsd/nlist.h> instead <nlist.h>
Date: Mon, 19 Mar 2012 19:10:01 +0100
retitle 634955 please remove broken implementation of <nlist.h>
thanks

El 19 de març de 2012 15:33, Tobias Frost <tobi@frost.de> ha escrit:
> Package: libbsd-dev
> Followup-For: Bug #634955
>
> Dear Maintainer,
>
> I reopen this bug because it seems to be still there, at least there is
> a FTBFS in collectd with the same symptoms. (See #664429 for details)

The broken version of <nlist.h> can be worked around in libkvm-dev
(due in next upload, see #657772).  However it would be nice if
libbsd-dev stopped providing it.

-- 
Robert Millan




Bug reopened Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Mon, 19 Mar 2012 18:51:02 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Sun, 01 Apr 2012 17:15:03 GMT) Full text and rfc822 format available.

Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Tue, 29 May 2012 07:06:14 GMT) Full text and rfc822 format available.

Notification sent to Hector Oron <hector.oron@gmail.com>:
Bug acknowledged by developer. (Tue, 29 May 2012 07:06:14 GMT) Full text and rfc822 format available.

Message #49 received at 634955-close@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 634955-close@bugs.debian.org
Subject: Bug#634955: fixed in libbsd 0.4.0-1
Date: Tue, 29 May 2012 07:03:33 +0000
Source: libbsd
Source-Version: 0.4.0-1

We believe that the bug you reported is fixed in the latest version of
libbsd, which is due to be installed in the Debian FTP archive:

libbsd-dev_0.4.0-1_amd64.deb
  to main/libb/libbsd/libbsd-dev_0.4.0-1_amd64.deb
libbsd0-dbg_0.4.0-1_amd64.deb
  to main/libb/libbsd/libbsd0-dbg_0.4.0-1_amd64.deb
libbsd0-udeb_0.4.0-1_amd64.udeb
  to main/libb/libbsd/libbsd0-udeb_0.4.0-1_amd64.udeb
libbsd0_0.4.0-1_amd64.deb
  to main/libb/libbsd/libbsd0_0.4.0-1_amd64.deb
libbsd_0.4.0-1.debian.tar.gz
  to main/libb/libbsd/libbsd_0.4.0-1.debian.tar.gz
libbsd_0.4.0-1.dsc
  to main/libb/libbsd/libbsd_0.4.0-1.dsc
libbsd_0.4.0.orig.tar.gz
  to main/libb/libbsd/libbsd_0.4.0.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 634955@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guillem Jover <guillem@debian.org> (supplier of updated libbsd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 29 May 2012 08:11:13 +0200
Source: libbsd
Binary: libbsd-dev libbsd0 libbsd0-udeb libbsd0-dbg
Architecture: source amd64
Version: 0.4.0-1
Distribution: unstable
Urgency: low
Maintainer: Debian GNU/kFreeBSD <debian-bsd@lists.debian.org>
Changed-By: Guillem Jover <guillem@debian.org>
Description: 
 libbsd-dev - utility functions from BSD systems - development files
 libbsd0    - utility functions from BSD systems - shared library
 libbsd0-dbg - utility functions from BSD systems - debugging symbols
 libbsd0-udeb - utility functions from BSD systems - shared library (udeb)
Closes: 580372 630907 634955 635377 635379 640895 657772 665997 668705
Changes: 
 libbsd (0.4.0-1) unstable; urgency=low
 .
   * New upstream release. (Closes: #668705)
     - Autoconfiscated, supports cross-building natively. (Closes: #665997)
     - Provide endian encoding/decoding inline functions. (Closes: #635377)
     - Provide expand_number(). (Closes: #635379)
     - Ship <nlist.h> under /usr/include/bsd/. (Closes: #634955, #657772)
     - Ship <libutil.h> under /usr/include/bsd/. (Closes: #640895)
     - Fix header protections when using the overlay. (Closes: #630907)
     - Fix .so symlinks to be relative even when the .so.N shared library
       is on a different directory. (Closes: #580372)
     - Remove all deprecated headers and inclusions.
   * Avoid leaving the system w/o an <nlist.h> previously owned by either
     libelfg0-dev or libelf-dev when upgrading from old libsd-dev versions
     which used to Replace them, by restoring <nlist.h> from <bsd/nlist.h>.
Checksums-Sha1: 
 335e03cdd8471cefedcd5b8551447564e1ce7728 1469 libbsd_0.4.0-1.dsc
 87290f6ba92f773a3bfd7221f6ab561cbf88eba6 441567 libbsd_0.4.0.orig.tar.gz
 08a54bb6ee11cf9f281747372c702d4277b4766f 8974 libbsd_0.4.0-1.debian.tar.gz
 8a18008a755a0d61e79f44b61c1e6a7c4e45dc68 134520 libbsd-dev_0.4.0-1_amd64.deb
 0717d525cd186afcc2563bb812e66fbe144fbc9d 54678 libbsd0_0.4.0-1_amd64.deb
 42185c514e7e4814d8b2beae3b7859e51cd5b5a6 18826 libbsd0-udeb_0.4.0-1_amd64.udeb
 6616be60e5bb90c31eb60bd8b6fbc4fe4a64ec96 36102 libbsd0-dbg_0.4.0-1_amd64.deb
Checksums-Sha256: 
 3060d7bd2c1b2c28a515872b2a63c6959b068a3657a15cb87d35a6459f5bb8ea 1469 libbsd_0.4.0-1.dsc
 a285d7108462b913ac49142e46bab2d7e16902cabfacf77ef1101233f472fcb7 441567 libbsd_0.4.0.orig.tar.gz
 4b9f389afa224f4c6634a1e6feb9716b957ca3818e217ecbfca6781d03f77acc 8974 libbsd_0.4.0-1.debian.tar.gz
 66d637feba28c744bf8aded7138b2ea473d9ea385ef31471a5ed796cda1146c1 134520 libbsd-dev_0.4.0-1_amd64.deb
 1e445894035a2de5c3650ef93fcd1eba18f486045117f137ac871cda037f1e72 54678 libbsd0_0.4.0-1_amd64.deb
 91232c55f2ca3921b898803606141e977baaa500c563fa3210bbe8a17bd50c0a 18826 libbsd0-udeb_0.4.0-1_amd64.udeb
 d8420751912307f5361e0be3f13da79f8abca365a3ed86c9a87f93467f343520 36102 libbsd0-dbg_0.4.0-1_amd64.deb
Files: 
 bfff6f2dcb6a6ec722a046df5b90b278 1469 libs optional libbsd_0.4.0-1.dsc
 e61dee73c9e5bd5e6e6f281ac8fae325 441567 libs optional libbsd_0.4.0.orig.tar.gz
 523b6bb337c40ce791c2cef9ac8b79af 8974 libs optional libbsd_0.4.0-1.debian.tar.gz
 2b5991b6ee51a59cde43f7b69d0734d1 134520 libdevel optional libbsd-dev_0.4.0-1_amd64.deb
 67fd550c835a8c468d6d721608a6eea4 54678 libs optional libbsd0_0.4.0-1_amd64.deb
 7249bf90659fac25035a34a2fa3de8dc 18826 debian-installer optional libbsd0-udeb_0.4.0-1_amd64.udeb
 dc694b858361789ddcf256e8122ddedf 36102 debug extra libbsd0-dbg_0.4.0-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk/EcQ8ACgkQuW9ciZ2SjJttUACg3FmtdIhPyxqYtKIEWZZSsoyO
/WEAn2Rt10PLX//4vh/usVpmqCTaTqqx
=bwUO
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 06 Jul 2012 07:45:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:23:01 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.